## fcitx5-libthai 5.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)
project(fcitx5-libthai VERSION 5.0.2)
find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

find_package(PkgConfig REQUIRED)
find_package(Fcitx5Core 5.0.2 REQUIRED)
find_package(Iconv REQUIRED)
find_package(Gettext REQUIRED)
pkg_check_modules(LibThai IMPORTED_TARGET "libthai" REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-libthai\")
fcitx5_add_i18n_definition()

add_subdirectory(src)
add_subdirectory(po)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.LibThai.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.LibThai.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.LibThai.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===

add_library(iconvwrapper STATIC iconvwrapper.cpp)
set_target_properties(iconvwrapper PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(iconvwrapper Fcitx5::Utils Iconv::Iconv)

set(LIBTHAI_SOURCES
    engine.cpp
    thaikb.cpp
)
add_library(libthai MODULE ${LIBTHAI_SOURCES})
target_link_libraries(libthai iconvwrapper Fcitx5::Core PkgConfig::LibThai Iconv::Iconv)
target_include_directories(libthai PRIVATE ${PROJECT_BINARY_DIR})
set_target_properties(libthai PROPERTIES PREFIX "")
install(TARGETS libthai DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(libthai.conf.in libthai.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libthai.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
fcitx5_translate_desktop_file(libthai-addon.conf.in libthai-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libthai-addon.conf" RENAME libthai.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-libthai (5.0.2-2) unstable; urgency=medium

  * Source-only upload for testing migration. 

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Feb 2021 19:08:17 -0500

fcitx5-libthai (5.0.2-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jan 2021 21:51:30 -0500

=== debian/control ===
Source: fcitx5-libthai
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Standards-Version: 4.5.1
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.11),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5core-dev,
 libfcitx5utils-dev,
 libthai-dev,
 pkg-config,
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-libthai
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-libthai.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-libthai

Package: fcitx5-libthai
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Description: Thai input method engine for Fcitx5 based on LibThai
 fcitx5-libthai is a Thai IBus input method engine based on LibThai
 library.

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-libthai/ \
 fcitx5-libthai-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate

## fcitx5-libthai 5.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.11)
-project(fcitx5-libthai VERSION 5.0.2)
+project(fcitx5-libthai VERSION 5.0.4)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-libthai (5.0.4-2) unstable; urgency=medium

  * Team upload
  * Add appstream to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 May 2021 01:34:49 +0800

fcitx5-libthai (5.0.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.0.4

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 May 2021 01:09:03 +0800

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ appstream,
  cmake (>= 3.11),
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5core-dev,
+ libfcitx5core-dev (>= 5.0.2),
  libfcitx5utils-dev,
  libthai-dev,
  pkg-config,

## fcitx5-libthai 5.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.11)
-project(fcitx5-libthai VERSION 5.0.4)
+project(fcitx5-libthai VERSION 5.0.7)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-libthai (5.0.7-1) UNRELEASED; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Fri, 22 Apr 2022 16:39:04 +0800

fcitx5-libthai (5.0.7-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Feb 2022 23:42:37 -0500

fcitx5-libthai (5.0.6-1) unstable; urgency=medium

  * New upstream release 5.0.6.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 13:14:02 -0500

fcitx5-libthai (5.0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 03:27:31 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: utils
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-libthai \
  refs/tags/@ANY_VERSION@ debian

## fcitx5-libthai 5.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.11)
-project(fcitx5-libthai VERSION 5.0.7)
+project(fcitx5-libthai VERSION 5.0.9)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-libthai (5.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 09:56:41 -0400

fcitx5-libthai (5.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 May 2022 11:44:09 -0400

## fcitx5-libthai 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.11)
-project(fcitx5-libthai VERSION 5.0.9)
+cmake_minimum_required(VERSION 3.10)
+project(fcitx5-libthai VERSION 5.0.10)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
 install(TARGETS libthai DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(libthai.conf.in libthai.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libthai.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
-fcitx5_translate_desktop_file(libthai-addon.conf.in libthai-addon.conf)
+configure_file(libthai-addon.conf.in.in libthai-addon.conf.in)
+fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/libthai-addon.conf.in" libthai-addon.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libthai-addon.conf" RENAME libthai.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-libthai (5.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Switch to upstream tarball.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Sep 2022 13:37:30 -0400

## fcitx5-libthai 5.0.11

=== debian/changelog ===
fcitx5-libthai (5.0.11-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Jun 2023 18:36:25 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Section: utils
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  appstream,
- cmake (>= 3.11),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,

## fcitx5-libthai 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-libthai VERSION 5.0.10)
+project(fcitx5-libthai VERSION 5.1.0)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-libthai (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:10:10 -0400

## fcitx5-libthai 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-libthai VERSION 5.1.0)
+project(fcitx5-libthai VERSION 5.1.2)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -10,7 +10,11 @@
 find_package(Fcitx5Core 5.0.2 REQUIRED)
 find_package(Iconv REQUIRED)
 find_package(Gettext REQUIRED)
-pkg_check_modules(LibThai IMPORTED_TARGET "libthai" REQUIRED)
+
+if (NOT DEFINED THAI_TARGET)
+    pkg_check_modules(LibThai IMPORTED_TARGET "libthai" REQUIRED)
+    set(THAI_TARGET PkgConfig::LibThai)
+endif()
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-libthai\")

=== src/CMakeLists.txt ===

add_library(iconvwrapper STATIC iconvwrapper.cpp)
set_target_properties(iconvwrapper PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(iconvwrapper Fcitx5::Utils Iconv::Iconv)

set(LIBTHAI_SOURCES
    engine.cpp
    thaikb.cpp
)
add_library(libthai MODULE ${LIBTHAI_SOURCES})
target_link_libraries(libthai iconvwrapper Fcitx5::Core ${THAI_TARGET} Iconv::Iconv)
target_include_directories(libthai PRIVATE ${PROJECT_BINARY_DIR})
set_target_properties(libthai PROPERTIES PREFIX "")
install(TARGETS libthai DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(libthai.conf.in libthai.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libthai.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod" COMPONENT config)
configure_file(libthai-addon.conf.in.in libthai-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/libthai-addon.conf.in" libthai-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libthai-addon.conf" RENAME libthai.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon" COMPONENT config)

=== debian/changelog ===
fcitx5-libthai (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jan 2024 18:08:56 -0500

fcitx5-libthai (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 14:44:25 -0500

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5core-dev (>= 5.0.2),
- libfcitx5utils-dev,
+ libfcitx5core-dev (>= 5.1),
+ libfcitx5utils-dev (>= 5.1),
  libthai-dev,
  pkg-config,
 Rules-Requires-Root: no

## fcitx5-libthai 5.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.10)
-project(fcitx5-libthai VERSION 5.1.2)
+project(fcitx5-libthai VERSION 5.1.3)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-libthai (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 20:27:36 -0400

## fcitx5-libthai 5.1.4

=== debian/changelog ===
fcitx5-libthai (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 15:11:35 -0400

## fcitx5-libthai 5.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
-cmake_minimum_required(VERSION 3.10)
-project(fcitx5-libthai VERSION 5.1.3)
+cmake_minimum_required(VERSION 3.12)
+project(fcitx5-libthai VERSION 5.1.5)
+
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -7,7 +9,7 @@
 include(ECMUninstallTarget)
 
 find_package(PkgConfig REQUIRED)
-find_package(Fcitx5Core 5.0.2 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Iconv REQUIRED)
 find_package(Gettext REQUIRED)

=== debian/changelog ===
fcitx5-libthai (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 10:12:55 -0500

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-libthai/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## fcitx5-libthai 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.12)
-project(fcitx5-libthai VERSION 5.1.5)
+project(fcitx5-libthai VERSION 5.1.6)
 
 set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)

=== debian/changelog ===
fcitx5-libthai (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 17:11:51 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: utils
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -11,10 +11,10 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5core-dev (>= 5.1),
+ libfcitx5core-dev (>= 5.1.12),
  libfcitx5utils-dev (>= 5.1),
  libthai-dev,
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-libthai
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-libthai.git

## fcitx5-libthai 5.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.12)
-project(fcitx5-libthai VERSION 5.1.6)
+project(fcitx5-libthai VERSION 5.1.7)
 
 set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-libthai)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-add_library(iconvwrapper STATIC iconvwrapper.cpp)
+add_library(iconvwrapper OBJECT iconvwrapper.cpp)
 set_target_properties(iconvwrapper PROPERTIES POSITION_INDEPENDENT_CODE ON)
 target_link_libraries(iconvwrapper Fcitx5::Utils Iconv::Iconv)
 
@@ -7,7 +7,7 @@
     engine.cpp
     thaikb.cpp
 )
-add_library(libthai MODULE ${LIBTHAI_SOURCES})
+add_fcitx5_addon(libthai ${LIBTHAI_SOURCES})
 target_link_libraries(libthai iconvwrapper Fcitx5::Core ${THAI_TARGET} Iconv::Iconv)
 target_include_directories(libthai PRIVATE ${PROJECT_BINARY_DIR})
 set_target_properties(libthai PROPERTIES PREFIX "")

=== debian/changelog ===
fcitx5-libthai (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 15:21:28 -0400

fcitx5-libthai (5.1.6-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 09:23:13 -0400

=== debian/control ===
Source: fcitx5-libthai
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Standards-Version: 4.7.2
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5core-dev (>= 5.1.14-4~),
 libfcitx5utils-dev (>= 5.1.14-4~),
 libthai-dev,
 pkgconf,
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-libthai
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-libthai.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-libthai
Description: Thai input method engine for Fcitx5 based on LibThai
 fcitx5-libthai is a Thai IBus input method engine based on LibThai
 library.

Package: fcitx5-libthai
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Description: ${source:Synopsis}
 ${source:Extended-Description}

## fcitx5-libthai 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.12)
-project(fcitx5-libthai VERSION 5.1.7)
+project(fcitx5-libthai VERSION 5.1.8)
 
 set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)
@@ -19,11 +19,35 @@
 endif()
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
+
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+
+option(ENABLE_TEST "Build Test" On)
+option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
+set(GCOV_TOOL "gcov" CACHE STRING "Path to gcov tool used by coverage.")
+
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-libthai\")
 fcitx5_add_i18n_definition()
 
 add_subdirectory(src)
 add_subdirectory(po)
+
+if (ENABLE_TEST)
+    find_package(Fcitx5ModuleTestFrontend REQUIRED)
+    find_package(Fcitx5ModuleTestIM REQUIRED)
+    enable_testing()
+    add_subdirectory(test)
+
+    if (ENABLE_COVERAGE)
+        add_custom_target(coverage
+                        COMMAND "${CMAKE_CTEST_COMMAND}"
+                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
+                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
+                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+    endif()
+endif ()
 
 fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.LibThai.metainfo.xml.in
                               org.fcitx.Fcitx5.Addon.LibThai.metainfo.xml XML)

=== test/CMakeLists.txt ===
add_subdirectory(inputmethod)
add_subdirectory(addon)

configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(testlibthai testlibthai.cpp)
target_link_libraries(testlibthai PRIVATE Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM)
add_dependencies(testlibthai libthai copy-addon copy-im)

add_test(NAME testlibthai COMMAND testlibthai)

=== test/addon/CMakeLists.txt ===
cmake_policy(SET CMP0175 NEW)

add_custom_target(copy-addon DEPENDS
    libthai-addon.conf.in-fmt
    )
add_custom_command(TARGET copy-addon POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/libthai-addon.conf ${CMAKE_CURRENT_BINARY_DIR}/libthai.conf)

=== test/inputmethod/CMakeLists.txt ===
add_custom_target(copy-im DEPENDS libthai.conf.in-fmt)
add_custom_command(TARGET copy-im POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/libthai.conf ${CMAKE_CURRENT_BINARY_DIR}/libthai.conf)

=== debian/changelog ===
fcitx5-libthai (5.1.8-2) unstable; urgency=medium

  * debian/control: Add missing build-dep fcitx5-modules-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 14:52:19 -0500

fcitx5-libthai (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 13:59:51 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: utils
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -10,12 +10,12 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
+ fcitx5-modules-dev,
  gettext,
  libfcitx5core-dev (>= 5.1.14-4~),
  libfcitx5utils-dev (>= 5.1.14-4~),
  libthai-dev,
  pkgconf,
-Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-libthai
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-libthai.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-libthai
